# hc-busin-components

[![NPM version](https://img.shields.io/npm/v/hc-busin-components.svg?style=flat)](https://npmjs.org/package/hc-busin-components)
[![NPM downloads](http://img.shields.io/npm/dm/hc-busin-components.svg?style=flat)](https://npmjs.org/package/hc-busin-components)

A react library developed with dumi

## Usage

TODO

## Options

TODO

## Development

```bash
# install dependencies
$ yarn install

# develop library by docs demo
$ yarn start

# build library source code
$ yarn run build

# build library source code in watch mode
$ yarn run build:watch

# build docs
$ yarn run docs:build

# Locally preview the production build.
$ yarn run docs:preview

# check your project for potential problems
$ yarn run doctor
```

若文档开发报错 `Can't resolve './core/defineApp' in '.dumi/tmp'`，说明 Dumi 临时目录不完整。可先清理再生成：

```bash
rm -rf .dumi/tmp .dumi/tmp-production .dumi/tmp-test
yarn dumi setup   # 或 npx dumi setup
yarn start
```

（`yarn start` / `docs:build` 已会在执行前自动运行 `dumi setup`。）

## LICENSE

MIT
